which version of iTunes for unlocked iPhone

TN6688

New Member
Sep 30, 2007
11
0
0
Canada
#1
Hi, this is my first post, hopefully this isn't a repetitive question, I just ordered an unlocked iPhone, my pc has an old version of iTunes, I think 7.0 or something, which version of iTunes do I need, I know the new version is 7.4, will this cause problems with my unlocked iPhone?
 

jpm

New Member
Bronze
Aug 5, 2007
212
0
0
#2
Nothing over 7.3. I think the first version supporting the iPhone was either 7.2 or 7.1
 
Oct 7, 2007
2
0
0
#3
I use 7.4 with an unlocked iPhone and it works great. Just make sure you don't upgrade the iPhone firmware.
 

TN6688

New Member
Sep 30, 2007
11
0
0
Canada
#4
where would I get iTunes 7.3, the only one available to download is 7.4, and thanks for the replies
 

guy013

New Member
Oct 7, 2007
8
0
0
#6
just use the latest iTunes with your iPhone. No problems whatsoever.

Like above, just don't upgrade your firmware :laugh2:
 
Oct 7, 2007
2
0
0
#8
If you use a Mac and considering upgrading to Leopard when it comes out then Leopard will most likely come pre-loaded with the latest firmware for the iPhone, then you will be screwed if you have to reformat unless you can work out a way to step back to 1.0.2.

I would recommend not upgrading after 7.4 though. Newer versions of iTunes never usually offer anything that new or different and you always run the risk of bricking your iPhone.
 
Oct 15, 2007
10
0
0
#9
im so new at this..help

so i can use iTunes with my unlocked phone, right? but it has to be version 7.3. then you say don't upgrade the firmware to the newer version. how do you go around not upgrading?.. is there a prompt when you plug your iPhone into the computer? i have not even tried to plug my iPhone back into the computer since i unlocked it, being scared it might upgrade the firmware automatically!
please help
thank-avi-
i feel like a dumb noob!:eek:
 

TN6688

New Member
Sep 30, 2007
11
0
0
Canada
#10
I downloaded the newest version and it works fine with my unlocked iPhone, it won't update without asking you first